API referenceEndpointsSources
Get Source
Return one granted Source and its current operational state.
Return one granted Source and its current operational state.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
sourceId*string
Source UUID within the Account scope.
Format
uuidQuery Parameters
accountId*string
Account UUID that defines the tenant and authorization scope.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/sources/00000000-0000-4000-8000-000000000002?accountId=00000000-0000-4000-8000-000000000001"{ "data": { "source": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9", "kind": "desktop", "connectorKey": "string", "name": "string", "state": "healthy", "owner": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "email": "user@example.com" }, "datasetCount": 0, "endpointCount": 0, "lastSuccessAt": "2019-08-24T14:15:22Z", "issue": { "code": "string", "message": "string", "action": "string" }, "schedule": "manual", "stats": [ { "date": "2019-08-24", "records": 0, "errors": 0, "bytes": 0 } ] }, "datasets": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2", "namespace": "string", "providerName": "string", "logicalSchema": "string", "logicalTable": "string", "selected": true, "syncMode": "incremental_keyed", "cursorFieldIds": [ "string" ], "primaryKeyFieldIds": [ "string" ], "selectedFieldIds": [ "string" ], "revision": -9007199254740991, "state": "healthy", "projectedRows": 0, "projectedBytes": 0, "lastSuccessAt": "2019-08-24T14:15:22Z", "issue": { "code": "string", "message": "string", "action": "string" }, "fields": [ { "id": "string", "datasetId": "6586f21b-ad4d-4d06-a309-712af47184a2", "ordinal": 0, "providerName": "string", "logicalName": "string", "duckdbType": "string", "nullable": true, "selected": true, "classification": "public", "description": "string" } ] } ], "fields": [ { "id": "string", "datasetId": "6586f21b-ad4d-4d06-a309-712af47184a2", "ordinal": 0, "providerName": "string", "logicalName": "string", "duckdbType": "string", "nullable": true, "selected": true, "classification": "public", "description": "string" } ], "latestRun": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "state": "queued", "startedAt": "2019-08-24T14:15:22Z", "finishedAt": "2019-08-24T14:15:22Z" }, "configurationRevision": -9007199254740991, "schemaRevisions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "datasetId": "6586f21b-ad4d-4d06-a309-712af47184a2", "revision": -9007199254740991, "schemaHash": "string", "diffType": "initial", "state": "discovered", "model": { "property1": null, "property2": null }, "discoveredAt": "2019-08-24T14:15:22Z", "decidedAt": "2019-08-24T14:15:22Z", "decisionReason": "string" } ], "schemaReviews": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2", "datasetId": "6586f21b-ad4d-4d06-a309-712af47184a2", "datasetRevisionId": "c74497ae-e84b-48c5-902f-62ec850d8d8e", "diffType": "breaking", "oldModel": { "property1": null, "property2": null }, "newModel": { "property1": null, "property2": null }, "state": "open", "decision": "string", "createdAt": "2019-08-24T14:15:22Z", "decidedAt": "2019-08-24T14:15:22Z" } ] }, "correlationId": "string"}